<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@80051=63</action>
    </script>
  </cheat>

  <cheat desc="Hit Anywhere"> <comment>Works on most enemies</comment>
    <script state="on">
      <action>temp0 =maincpu.mw@067AC</action>
      <action>temp1 =maincpu.mw@067BC</action>
      <action>temp2 =maincpu.mw@2F99E</action>
    </script>
    <script state="run">
      <action>maincpu.mw@067AC=6002</action> <!-- This ROM cheat was made by nolberto82 -->
      <action>maincpu.mw@067BC=6002</action>
      <action>maincpu.mw@2F99E=4E71</action>
    </script>
    <script state="off">
      <action>maincpu.mw@067AC=temp0 </action>
      <action>maincpu.mw@067BC=temp1 </action>
      <action>maincpu.mw@2F99E=temp2 </action>
    </script>
  </cheat>

  <cheat desc="One Hit Kills"> <comment>Works on most enemies</comment>
    <script state="on">
      <action>temp0 =maincpu.mw@0AFD6</action>
      <action>temp1 =maincpu.mw@0B066</action>
      <action>temp2 =maincpu.mw@1F932</action>
      <action>temp3 =maincpu.mw@1FE4C</action>
      <action>temp4 =maincpu.mw@23CE0</action>
      <action>temp5 =maincpu.mw@24B9C</action>
      <action>temp6 =maincpu.mw@2A910</action>
    </script>
    <script state="run">
      <action>maincpu.mw@0AFD6=6002</action> <!-- This ROM cheat was made by nolberto82 -->
      <action>maincpu.mw@0B066=6002</action>
      <action>maincpu.mw@1F932=4E71</action>
      <action>maincpu.mw@1FE4C=6002</action>
      <action>maincpu.mw@23CE0=6000</action>
      <action>maincpu.mw@24B9C=4E71</action>
      <action>maincpu.mw@2A910=4E71</action>
    </script>
    <script state="off">
      <action>maincpu.mw@0AFD6=temp0 </action>
      <action>maincpu.mw@0B066=temp1 </action>
      <action>maincpu.mw@1F932=temp2 </action>
      <action>maincpu.mw@1FE4C=temp3 </action>
      <action>maincpu.mw@23CE0=temp4 </action>
      <action>maincpu.mw@24B9C=temp5 </action>
      <action>maincpu.mw@2A910=temp6 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@80945=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@80946=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@8094C=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@80967=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@809C5=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@809C6=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@809CC=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@809E7=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL3">
    <script state="run">
      <action>maincpu.pb@80A45=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL3">
    <script state="run">
      <action>maincpu.pb@80A46=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL3">
    <script state="run">
      <action>maincpu.pb@80A4C=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL3">
    <script state="run">
      <action>maincpu.pb@80A67=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL4">
    <script state="run">
      <action>maincpu.pb@80AC5=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL4">
    <script state="run">
      <action>maincpu.pb@80AC6=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL4">
    <script state="run">
      <action>maincpu.pb@80ACC=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL4">
    <script state="run">
      <action>maincpu.pb@80AE7=01</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
